Package groovy.lang

# Interface MetaMember

All Known Subinterfaces:
  `ClosureInvokingMethod`

All Known Implementing Classes:
  `ArrayGetAtMetaMethod`, `ArrayMetaMethod`, `ArrayPutAtMetaMethod`, `BooleanArrayGetAtMetaMethod`, `BooleanArrayPutAtMetaMethod`, `ByteArrayGetAtMetaMethod`, `ByteArrayPutAtMetaMethod`, `CachedConstructor`, `CachedField`, `CachedMethod`, `CallSiteAwareMetaMethod`, `CharacterArrayGetAtMetaMethod`, `CharacterArrayPutAtMetaMethod`, `ClosureMetaMethod`, `ClosureStaticMetaMethod`, `DoubleArrayGetAtMetaMethod`, `DoubleArrayPutAtMetaMethod`, `FloatArrayGetAtMetaMethod`, `FloatArrayPutAtMetaMethod`, `GeneratedMetaMethod`, `GeneratedMetaMethod.Proxy`, `GroovyCategorySupport.CategoryMethod`, `IntegerArrayGetAtMetaMethod`, `IntegerArrayPutAtMetaMethod`, `LongArrayGetAtMetaMethod`, `LongArrayPutAtMetaMethod`, `MetaArrayLengthProperty`, `MetaBeanProperty`, `MetaClassImpl.MetaConstructor`, `MetaExpandoProperty`, `MetaMethod`, `MetaProperty`, `MethodMetaProperty`, `MethodMetaProperty.GetBeanMethodMetaProperty`, `MethodMetaProperty.GetMethodMetaProperty`, `MixinInstanceMetaMethod`, `MixinInstanceMetaProperty`, `MultipleSetterProperty`, `NewInstanceMetaMethod`, `NewMetaMethod`, `NewStaticMetaMethod`, `NumberNumberDiv`, `NumberNumberMetaMethod`, `NumberNumberMinus`, `NumberNumberMultiply`, `NumberNumberPlus`, `ObjectArrayGetAtMetaMethod`, `ObjectArrayPutAtMetaMethod`, `ReflectionMetaMethod`, `ShortArrayGetAtMetaMethod`, `ShortArrayPutAtMetaMethod`, `ThreadManagedMetaBeanProperty`, `TransformMetaMethod`

public interface MetaMember
Common values of a class member -- a field, property, method, or constructor.

Since:
  5.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getModifiers()`
  Returns the Java modifier bit set for this meta member.
  `String`
  `getName()`
  Returns the simple name of this meta member.
  `default boolean`
  `isFinal()`
  Indicates whether this member is declared `final`.
  `default boolean`
  `isPackagePrivate()`
  Indicates whether this member has package visibility.
  `default boolean`
  `isPrivate()`
  Indicates whether this member is declared `private`.
  `default boolean`
  `isProtected()`
  Indicates whether this member is declared `protected`.
  `default boolean`
  `isPublic()`
  Indicates whether this member is declared `public`.
  `default boolean`
  `isStatic()`
  Indicates whether this member is declared `static`.
  `default boolean`
  `isSynthetic()`
  Indicates whether this member is synthetic from the JVM's perspective.

- ## Method Details

  - ### getName

    String getName()
    Returns the simple name of this meta member.
    Returns:
      the member name

  - ### getModifiers

    int getModifiers()
    Returns the Java modifier bit set for this meta member.
    Returns:
      the modifier flags

  - ### isFinal

    default boolean isFinal()
    Indicates whether this member is declared `final`.
    Returns:
      `true` if the final modifier is present

  - ### isPackagePrivate

    default boolean isPackagePrivate()
    Indicates whether this member has package visibility.
    Returns:
      `true` if no explicit access modifier is present

  - ### isPrivate

    default boolean isPrivate()
    Indicates whether this member is declared `private`.
    Returns:
      `true` if the private modifier is present

  - ### isProtected

    default boolean isProtected()
    Indicates whether this member is declared `protected`.
    Returns:
      `true` if the protected modifier is present

  - ### isPublic

    default boolean isPublic()
    Indicates whether this member is declared `public`.
    Returns:
      `true` if the public modifier is present

  - ### isStatic

    default boolean isStatic()
    Indicates whether this member is declared `static`.
    Returns:
      `true` if the static modifier is present

  - ### isSynthetic

    default boolean isSynthetic()
    Indicates whether this member is synthetic from the JVM's perspective.
    Returns:
      `true` if the synthetic modifier bit is present